Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QDesktopServices.StandardLocation

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QDesktopServices.StandardLocation

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDesktopServices

    public static final class QDesktopServices.StandardLocation

extends java.lang.Enum
implements QtEnumerator

This enum describes the different locations that can be queried by QDesktopServices.:storageLocation and QDesktopServices::displayName.

See also:
  `storageLocation()`, and `displayName()`.

See Also:
  Serialized Form

Field Summary
`static QDesktopServices.StandardLocation` | `ApplicationsLocation` Returns the users applications.
`static QDesktopServices.StandardLocation` | `DataLocation` Returns a directory location where persistent application data can be stored.
`static QDesktopServices.StandardLocation` | `DesktopLocation` Returns the users desktop.
`static QDesktopServices.StandardLocation` | `DocumentsLocation` Returns the users document.
`static QDesktopServices.StandardLocation` | `FontsLocation` Returns the users fonts.
`static QDesktopServices.StandardLocation` | `HomeLocation` Returns the user's home directory.
`static QDesktopServices.StandardLocation` | `MoviesLocation` Returns the users movies.
`static QDesktopServices.StandardLocation` | `MusicLocation` Returns the users music.
`static QDesktopServices.StandardLocation` | `PicturesLocation` Returns the users pictures.
`static QDesktopServices.StandardLocation` | `TempLocation` Returns the system's temporary directory.

Method Summary
`static QDesktopServices.StandardLocation` | `resolve(int value)` Returns the QDesktopServices$StandardLocation constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDesktopServices.StandardLocation` | `valueOf(java.lang.String name)`
`static QDesktopServices.StandardLocation[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DesktopLocation

    public static final QDesktopServices.StandardLocation DesktopLocation

  Returns the users desktop.

### DocumentsLocation

    public static final QDesktopServices.StandardLocation DocumentsLocation

  Returns the users document.

### FontsLocation

    public static final QDesktopServices.StandardLocation FontsLocation

  Returns the users fonts.

### ApplicationsLocation

    public static final QDesktopServices.StandardLocation ApplicationsLocation

  Returns the users applications.

### MusicLocation

    public static final QDesktopServices.StandardLocation MusicLocation

  Returns the users music.

### MoviesLocation

    public static final QDesktopServices.StandardLocation MoviesLocation

  Returns the users movies.

### PicturesLocation

    public static final QDesktopServices.StandardLocation PicturesLocation

  Returns the users pictures.

### TempLocation

    public static final QDesktopServices.StandardLocation TempLocation

  Returns the system's temporary directory.

### HomeLocation

    public static final QDesktopServices.StandardLocation HomeLocation

  Returns the user's home directory.

### DataLocation

    public static final QDesktopServices.StandardLocation DataLocation

  Returns a directory location where persistent application data can be stored. `QCoreApplication::applicationName` and `QCoreApplication::organizationName` should be set to work on all platforms.

Method Detail

### values

    public static QDesktopServices.StandardLocation[] values()

### valueOf

    public static QDesktopServices.StandardLocation valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDesktopServices.StandardLocation resolve(int value)

  Returns the QDesktopServices$StandardLocation constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD